Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80829 - Bad : RH8 not boot - kernel panic
Summary: Bad : RH8 not boot - kernel panic
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: athlon
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-31 18:32 UTC by SPurnelle
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:21 UTC


Attachments (Terms of Use)
log of installation (deleted)
2003-01-02 13:27 UTC, SPurnelle
no flags Details

Description SPurnelle 2002-12-31 18:32:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I upgrade from RedHat 7.3 to 8.0
When I boot, I have these messages : 
<<
EXT3-fs: unable to read superblock
mount: error 22 mounting ext3
pivotroot: pivot_root(/sysroot, /sysroot/initrd) failed 2
umount /initrd/proc failed 2
Freeing unused kernel memory : 192K freed 
kernel panic : no init found : try massing init = option to kernel
>>

All partitions have ext3 file system and e2fsck is correct avec 
the partition have a journal.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot
2.
3.
    

Additional info:

Comment 1 SPurnelle 2002-12-31 21:24:32 UTC
Why after the installation, grub.conf as not configured correctly ?
I have the linux system and a small partition for Windows Y2K.

With the rescue disc and some manipulation (daemon and conf X), I update the 
system with RHN update.  But the grub not configured to.

The system can not be installed because is update from a downloaded 
distribution ?




Comment 2 Arjan van de Ven 2003-01-01 11:13:40 UTC
what kind of controller are your disks attached to ?

Comment 3 SPurnelle 2003-01-01 14:12:31 UTC
I use IDE controller
struture : 
hda 
-> hda1 FAT32  
-> hda2 EXT3-FS    root
-> hda3 EXT3-FS    ....
-> hda4 logical 
   -> hda5         ....    
   -> hda6         ....
   
  

Comment 4 SPurnelle 2003-01-01 15:48:52 UTC
I downloaded from errata RH 8 the kernel : kernel-2.4.18-19.8.0.athlon.rpm.
I installed it with rescue CD with command : rpm -ivh .....
RPm says : "error grubby : ... template not found ".
I manually configured the grub.conf.  

NOW, I have a other error : 
Kmod : failed to exec /sbin/modprob -s -k block-major-8, error = 2

Comment 5 SPurnelle 2003-01-02 12:11:28 UTC
I describe sur procedure for reproduce this bug : 
1 : install Redhat 7.3 
2 : use RHN and update agent for update the distrib.
3 : download RedHat 8.0 from web-site
4 : burn CDs
5 : install with upgrade mode.
  - WARNING : for CD boot : the APIC must be set (in 7.3 : NO)  
  - WARNING : anaconda prevent with a message that some RPM is more recently 
than RPM on RH8.  It's normal for me.

I ask a question : Why the kernel installed and the jernek download with update 
agent have for exemple kernel-2.4.18-19.8.0debug .  

are they some problems with donwloaded distributions ?
Can anyone answer today ?
RedHat Linux is my main OS, it's not for gaming and tests, It's for working 
(web-devellopement, linux web site).


Comment 6 Arjan van de Ven 2003-01-02 12:16:35 UTC
  - WARNING : for CD boot : the APIC must be set (in 7.3 : NO)  

what do you mean by that ?

Comment 7 SPurnelle 2003-01-02 12:29:05 UTC
With RH 7.3, in my BIOS, the APIC function was disabled.
When I make the first CD-boot of RH8 install, while the boot, the system halt 
on a message "VSR00002" I think.  I go to my BIOS, I set the APIC function with 
MIPS mode 1.4, and the install-CD boot correctly.

For the last kernel-panic, I don't have scsi hardware, but I have a cd-writer 
which must have ide-scsi emulation.

Comment 8 SPurnelle 2003-01-02 13:27:37 UTC
Created attachment 89052 [details]
log of installation

Comment 9 Ben LaHaise 2003-01-02 16:29:32 UTC
Could you collect all of the boot messages from the boot CD via a serial
console?  Booting with console=ttyS0,38400 will send all kernel messages to com1
at 38400 bps.

Comment 10 SPurnelle 2003-01-02 16:47:22 UTC
You suppose that I have a modem connection.
But, I have a ADSL connection. 
WARNING, when I read the list of messages during boot, some messages show 
errors that I not read correctly because these messages appair fastly. 



Comment 11 SPurnelle 2003-01-02 20:37:05 UTC
If I re-install all of RH8.  Include formatinf partition and configuration.
is it a chance to have a linux that work ?


Comment 12 Bugzilla owner 2004-09-30 15:40:21 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.